/* STYLE.CSS */
/*Currency Calculator*/
div.mid_wrapper.application_form form div.row{
	display: block;
}
div.mid_wrapper.application_form form div.row.type_selector{
	display: block;
	margin-top:10px;
	margin-bottom:20px;
}
div.mid_wrapper.application_form form div.row.type_selector a{
	display: inline-block;
	text-align: center;
	height: 48px;
	line-height: 48px;
	text-decoration: none;
	margin:0px;
	font-size:24px;
    font-family: Arial, sans-serif;
    font-weight: bold;
	color:#a7abae;
	width:33.26%;
	float: left;
	border-left:solid 1px #cacaca;
}

div.mid_wrapper.application_form form div.row.type_selector a:first-child{
	border-left:none;
}
div.mid_wrapper.application_form form div.row.type_selector a:hover,
div.mid_wrapper.application_form form div.row.type_selector a.active{
	background: #4077b2;
	color:#fff;
}
div.mid_wrapper.application_form form div.row.title_date{
	display: block;
	margin-bottom:20px;
}


div.mid_wrapper.application_form form div.row.currency_filter{
	margin-bottom: 20px;
}

div.mid_wrapper.application_form form div.row.currency_filter div.date_selector{
	text-align: right;
	position: relative;
	top:10px;
	display: inline-block;
}

div.mid_wrapper.application_form form div.row.currency_filter h2,
div.mid_wrapper.application_form form div.row.title_date h3,
div.mid_wrapper.application_form form div.row.currency_filter h3{
	font-size:22px;
	color:#4077b2;
	padding:0px;
}

div.mid_wrapper.application_form form div.row.currency_filter h2,
div.mid_wrapper.application_form form div.row.currency_filter h3{
	height:35px;
	line-height:35px;
	margin-top:0px;
	margin-bottom: 0px;
}

div.mid_wrapper.application_form form div.row.currency_filter span#selected_date{
	height: 25px;
	line-height: 25px;
	display: inline-block;
	text-align: right;
	vertical-align: middle;
    font-family: Arial, sans-serif;
    font-weight: bold;
	color:#231f20;
	font-size:22px;
	cursor: pointer;
}
div.mid_wrapper.application_form form div.row.currency_filter span#selected_date:hover,
div.mid_wrapper.application_form form div.row.currency_filter span#selected_date.active{color:#4077B2;}
div.mid_wrapper.application_form form div.row.currency_filter a.date_select,
div.mid_wrapper.application_form form div.row.currency_filter a.print{
	height: 23px;
	width: 24px;
	line-height: 25px;
	display: inline-block;
	border-radius: 2px;
	vertical-align: middle;
	border:solid 1px #cacaca;
	margin-left:5px;
	position: relative;
}

.ui-datepicker-trigger{ position: absolute; width:1px !important; height: 1px !important; border:none !important; opacity: 0 !important; margin:0px; padding:0px; top:30px; }


div.mid_wrapper.application_form form div.row.currency_filter div.filter_title{

}
div.mid_wrapper.application_form form div.row.currency_filter div.filter_title h2,
div.mid_wrapper.application_form form div.row.currency_filter div.filter_title h3{
	display: inline-block;
	margin-right:20px;
}

div.mid_wrapper.application_form form div.row.currency_filter div.filter_input{display: inline-block;width:55%; position: relative;}

div.mid_wrapper.application_form form div.row.currency_filter a.date_select{ background: url('../../cee2020-pws/img/ico_calendar.png') center center no-repeat; }
div.mid_wrapper.application_form form div.row.currency_filter a.print{ background: url('../../cee2020-pws/img/btn_print.png') center center no-repeat; }

div.mid_wrapper.application_form form div.row.currency_filter a.date_select:hover{
	
}


div.mid_wrapper.application_form form div.row.currency_chooser{
	margin-bottom: 27px;
}
div.mid_wrapper.application_form form div.row.currency_chooser div.column{
}

div.mid_wrapper.application_form form div.row.amount_wrapper{
	display:block;
	padding-bottom:50px;
	border-bottom: solid 1px #cacaca;
} 
div.mid_wrapper.application_form form div.row.amount_wrapper label{
	display: block;
	color:#000;
	height: 20px;
    font-family: Arial, sans-serif;
    font-weight: bold;
}
div.mid_wrapper.application_form form div.row.amount_wrapper input[type=text],
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]{
	width:90%;
	height: 35px;
	border:solid 2px #a7abae;
	border-radius: 3px;
	padding:0px 5% 0px 5%;
	color:#ffa900;
	font-size:22px;
	vertical-align: middle;
}
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]::-webkit-input-placeholder,
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]:-moz-placeholder,
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]::-moz-placeholder,
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]:-ms-input-placeholder
{
	font-size:16px;
	color:#a7abae;
}
div.mid_wrapper.application_form form div.row.currency_filter input[type=text]{
	font-size:16px;
	color:#666666;
	font-family: Unicredit, Arial, sans-serif;
}
div.mid_wrapper.application_form form div.row.amount_wrapper div.column div.sub div.title{
	width:26%;
	display: inline-block;
	font-size:14px;
	color:#000;
	padding:0px 5px 0px 20px;
	color:#000;
	height: 20px;
    font-family: Arial, sans-serif;
    font-weight: bold;
}
div.mid_wrapper.application_form form div.row.amount_wrapper div.column div.sub.results{
	height: 35px;
	width:100%;
	line-height: 35px;
	height: 35px;
	border:solid 2px #a7abae;
	border-radius: 3px;

}
div.mid_wrapper.application_form form div.row.amount_wrapper div.column div.sub.results div{
	display: inline-block;
	width:25%;
	font-size:22px;
	color:#ffa900;
	padding:0px 5px 0px 20px;
	border-right:1px solid #a7abae;
}
div.mid_wrapper.application_form form div.row.amount_wrapper div.column div.sub.results div:last-child{ border-right:none; }

#currency_results, #exchange_ecb {
	margin:0px 0px 15px 0px;
	font-family: Unicredit, Arial, sans-serif;
}
#currency_results table,
#dcc_rates_results table,
#exchange_ecb table {
	margin: 0px;
}

#currency_results table caption {
	padding-left: 5px;
}

#currency_results div.table_wrap,
#financial_indicators div.table_wrap,
#exchange_ecb div.table_wrap {
	border-left:solid 1px #cacaca;
	border-right:solid 1px #cacaca;
	border-radius: 5px;
}
#currency_results div.result_table_wrapper{
	display: block;
}

#currency_results table td a{
	color:#212121;
}
tbody#ucfin_rates_table tr td:last-child div,
tbody#cardTransactions_rates_table tr td:last-child div{
	display: flex;
	align-items: center;
	width:100%;
}

tbody#ucfin_rates_table tr td:last-child div button,
tbody#cardTransactions_rates_table tr td:last-child div button {
	background-color: transparent;
	border: none;
	background-image: url("../../cee2020-pws/img/historical/xchange-arrow-right-hover.png");
	background-repeat: no-repeat;
	background-position: center;
	padding: 0;
	margin: 0 0 0 auto;
	width: 22px;
	height: 22px;
}

#currency_results table td span.ico_status{
	height: 20px;
	width:20px;
	display: inline-block;
	vertical-align: middle;
	background: url('../../cee2020-pws/img/ico_status.png') left top no-repeat;
	right:70px;
	position: relative;
	float: right;
}
#currency_results table td span.ico_status.up{ background-position: 0px 0px; }
#currency_results table td span.ico_status.down{ background-position: 0px -20px; }

#currency_results div.descriptions{
	margin-top:15px;
}
#currency_results div.descriptions p{
	text-align: left;
	margin:0px 0px 7px 0px;
	font-size:12px;
}
/* END STYLE.CSS */


/* UBIS FIXES  */
/* -- Exchange Rates fixes -- */
form#exchange-rates{
	background-color: white;
	padding-bottom: 20px;
	border-right: solid 1px grey;
	min-height: 100px;
}
div#exchange-tabs{
	margin: 0px 0px 10px 0px;
	width: 100%;
	background-color: #fff;
	border-radius: 0px;
}
div#exchange-tabs div.tab-container{
    float: left;
    width: 100%;
}
div#exchange-tabs.tabs_2 div.tab-container{
    width: 50%;
}
div#exchange-tabs.tabs_3 div.tab-container{
    width: 33.33%;
}
div#exchange-tabs.tabs_3 div.tab-container:not(.hide):nth-of-type(3)
{
	float: right;
}
div#exchange-tabs.tabs_4 div.tab-container{
    width: 25%;
}

div#exchange-tabs a {
	font-family: Arial, sans-serif;
	font-size: 18px;
	width: 100%;
	line-height: 1.2em;
	padding: 12px 0;
	height: auto;
	box-sizing: inherit;
}

div#exchange-tabs a h1 {
 	font-family: Arial, sans-serif;
	font-size: 18px !important;
	line-height: 1.2em;
	margin-bottom: 0px;
	margin-top: 0px;
	text-align: center;
	color:#a7abae;
}

div#exchange-tabs a.active h1,
div#exchange-tabs a:hover h1 {
	color: #fff;
}

div#exchange-tabs div.tab-container:first-child a{
	border-left: solid 1px #cacaca;
}
div#exchange-tabs a.active
div#exchange-tabs a:hover {
	border-bottom: 0px;
}
form#exchange-rates div.row.currency_filter{
	margin-bottom: 0px;
}
form#exchange-rates div.row.currency_filter div.filter_title {
	margin-top: 5px;
}

form#exchange-rates div.row.currency_filter div.filter_title h2,
form#exchange-rates div.row.currency_filter div.filter_title h3 {
	font-size: 16px;
	font-family: Arial, sans-serif;
	color: #fff;
	margin-right: 10px;
	margin-left: 15px;
}
form#exchange-rates div.row.currency_filter span#selected_date {
	font-family: Arial, sans-serif;
	color: #fff;
	font-size: 16px;
}
form#exchange-rates div.row.currency_filter a.date_select, form#exchange-rates div.row.currency_filter a.print{
	border: 0px;
}
form#exchange-rates div.row.currency_filter a.print{
	background: url('../../cee2020-pws/img/btn_print_white.png') center center no-repeat;
}

#currency_results, #exchange_ecb {
	padding-left: 0px;
	padding-right: 0px;
}
#currency_results div.result_table_wrapper,
#exchange_ecb div.result_table_wrapper {
	width: 100%;
	margin: 0px 0px 0px 0px;
}
#currency_results div.table_wrap,
#exchange_ecb div.table_wrap {
	border-radius: 0px;
}
#exchange_ecb table,
#exchange_ecb div.table_wrap table {
    border-collapse: collapse;
    border-style: none;
    margin-bottom: 0px;
    position: relative;
}

#exchange_ecb table caption,
#exchange_ecb div.table_wrap table caption {
    position: absolute;
    left:-9999px;
    border: 1px solid #999;
    padding: 3px 10px;
    background-color: #fefefe;
    border-radius: 4px;
    box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.4);
    font-size: 13px;
}
#exchange_ecb table caption:focus{
    left: -1px;
    top: -18px;    
}
#currency_results div.table_wrap table td,
#currency_results div.table_wrap table th,
#exchange_ecb div.table_wrap table td,
#exchange_ecb div.table_wrap table th {
    padding: 0px 10px 0px 10px;
    border-left: none;
    border-top: solid 1px #cacaca;
}
#currency_list_table td strong,
#exchange_ecb td strong {
	margin-right: 15px;
}

div.button_group div.sub_detail div.currency_calculator div.currency_list div.item span.currency_timestamp{
	margin-left: 5px;
	font-size: 9px;
}

/* -- Financial Indicators table -- */

#financial_indicators div.result_table_wrapper{
	display: block;
}

#financial_indicators table td,
#financial_indicators table th{
	height: 40px;
	vertical-align: middle;
	padding-left:10px;
	padding-right:10px;
}
#financial_indicators table td:last-child,
#financial_indicators table th:last-child{
	border-right:none;
}

#financial_indicators table td div.currency_status{
	display: inline-block;
	float: right;
}
#financial_indicators table td span.ico_status{
	height: 20px;
	width:20px;
	display: inline-block;
	vertical-align: middle;
	background: url('../../cee2020-pws/img/ico_status.png') left top no-repeat;
	right:70px;
	position: relative;
	float: right;
}
#financial_indicators table td span.ico_status.up{ background-position: 0px 0px; }
#financial_indicators table td span.ico_status.down{ background-position: 0px -20px; }

#financial_indicators table td span.range{
	color:#4077b2;
	float:right;
	right:25px;
}

#financial_indicators table tr.odd{
	background: #e3e3e3;
}

#financial_indicators div.descriptions{
	margin-top:15px;
}
#financial_indicators div.descriptions p{
	text-align: left;
	margin:0px 0px 7px 0px;
	font-size:12px;
}

div#financial_indicators div.result_table_wrapper{
	width: 100%;
	margin: 0px 0px 0px 0px;
}
#financial_indicators div.table_wrap{
	border-radius: 0px;
}

#financial_indicators div.table_wrap table {
    border-collapse: collapse;
    border-style: none;
    margin-bottom: 0px;
}
#financial_indicators div.table_wrap table td, #financial_indicators div.table_wrap table th{
    padding: 0px 10px 0px 10px;
    border-left: none;
    border-top: solid 1px #cacaca;
}

.ecb-sub-heading{
	text-align: center;
	padding: 0 88px;
	margin-top: 64px;
	margin-bottom: 48px;
}

.ecb-sub-heading h2{
	font-size: 36px;
	font-weight: 400;
	line-height: 40px;
	margin-bottom: 8px;
	color: #333;
}

.ecb-sub-heading h3{
	margin: 0;
	font-size: 15px;
	font-weight: 500;
	line-height: 20px;
	color: #9E9E9E;
	text-transform: uppercase;
	letter-spacing: 0.5px;
}



.ecb-markup-rates table {
	width: auto;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
}

.ecb-markup-rates table th {
	text-align: center;
}

@media only screen and (max-width: 959px) {/*@screen-sm*/
	div.mid_wrapper.application_form form div.row.currency_filter div.filter_title,
	div.mid_wrapper.application_form form div.row.currency_filter div.date_selector{
	    width:95%;
	    text-align: left;
	}

	.ecb-sub-heading {
		margin-top: 16px;

	}

	.ecb-sub-heading h2 {
		font-size: 30px;
		line-height: 30px;
	}

}

@media only screen and (max-width: 599px){/*@screen-xs*/
	form#exchange-rates{
		margin-top: 10px;
	}
	div#exchange-tabs a h1 {
		display: block;
		padding: 0 0 !important;
	}
	div.mid_wrapper.application_form form div.row.currency_filter{
		margin:0 auto; 
		margin-bottom:20px;
	}
    div.mid_wrapper.application_form form div.row.currency_filter h3 {
    	left:0;
		font-size: 16px;
	}
	div.mid_wrapper.application_form form div.row.currency_filter div.filter_input {
		width: calc(100% - 30px);
	}

	.ecb-sub-heading {
		padding: 0 16px;
	}

	.ecb-sub-heading h2 {
		padding: 0;
	}

	.ecb-markup-rates table {
		width: 100%;
		min-width: auto;
		border: 1px solid #d3d2d2;
	}
}

@media only screen and (min-width: 599px) and (max-width: 959px) {/*@screen-sm*/
	div.mid_wrapper.application_form form div.row.currency_chooser div.column{
        width:45%;
    }

    div.mid_wrapper.application_form form div.row.currency_filter div.filter_title,
    div.mid_wrapper.application_form form div.row.currency_filter div.date_selector{
        width:45.5%;
    }
}
#po-download.uc-popover {
    border-radius: 4px;
}

.uc-popover {
    display: none;
    position: absolute;
    color: #000000;
    background-color: #FFFFFF;
    border: 1px solid #DEDEDE;
    box-shadow: 0 0 10px #AAAAAA;
    z-index: 150;
}

#po-download.uc-popover ul.steps {
    overflow: hidden;
}

#po-download.uc-popover .uc-popover-section.active {
    display: block;
}

#po-download.uc-popover .uc-popover-section {
    display: none;
    padding: 0px 20px 20px 20px;
    width: 359px;
}

.uc-popover ul {
    padding: 0px;
    margin: 0;
}

.uc-popover {
    font-family: Arial, sans-serif;
    font-size: 14px;
}

.uc-popover button{
    color: #404040;
    text-decoration: none;
}

.uc-popover button i{
    color: #404040;
}

.uc-popover ul li {
    list-style-type: none;
    background: none;
}

.uc-popover.left:after, .uc-popover.left:before {
    top: 50%;
    left: 100%;
    border: solid transparent;
    width: 0;
    height: 0;
    position: absolute;
    pointer-events: none;
    content: " ";
}

.uc-popover.left.align:after, .uc-popover.left.align:before{
	top: 36.5%;
}

.uc-popover.left:after {
    border-color: rgba(255, 255, 255, 0);
    border-left-color: #FFFFFF;
    border-width: 10px;
    margin-top: -10px;
}

#po-download.uc-popover .uc-popover-section .export_container {
	height: 65px;
	width: 95%;
	display: table;
	padding: 10px;
}
#po-download.uc-popover .uc-popover-section p {
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    display: table-cell;
}

#po-download.uc-popover .uc-popover-section .buttonExport {
    text-align: center;
}

#po-download.uc-popover ul.steps li.active {
    border-bottom: none;
}

#po-download.uc-popover ul.steps li:first-child {
    border-left: none;
}

#po-download.uc-popover ul.steps li {
    float: left;
    width: 199px;
    height: 128px;
    border-left: 1px solid #DEDEDE;
    border-bottom: 1px solid #DEDEDE;
}

#po-download.uc-popover ul.steps li.active button {
    opacity: 1;
}

#po-download.uc-popover ul.steps li button {
    display: block;
    width: 100%;
    height: 100%;
    background-color: transparent;
    border:0;
    text-align: center;
    opacity: 0.3;
}

#po-download.uc-popover ul.steps li:has(:focus-visible)  {
    border: 2px solid var(--color-button-primary);
    border-radius: 4px;
}

#po-download.uc-popover:has(:focus-visible),
#po-download.uc-popover:focus-visible{
    outline:2px solid var(--color-button-primary);
    outline-offset: 2px;
    border-radius: 4px;
}

#po-download.uc-popover ul.steps li button i {
    display: block;
    font-size: 50px;
}

.uc-popover-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: transparent;
    z-index: 100;
}

#po-download.uc-popover .close-popover{
    background-color: transparent;
    border:none;
    padding: 8px;
    color: var(--color-button-primary);
    font-size: 14px;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    gap:4px;
    align-self: flex-start;
}

#po-download.uc-popover .close-popover:focus-visible{
    outline: 2px solid var(--color-button-primary) !important;
    outline-offset: 2px !important;
    border-radius: 4px;
    color:var(--color-button-hover);
}

#po-download.uc-popover .close-popover:before{
    display: inline-block;
    width: 16px;
    height:16px;
    content:url("../../cee2020-pws/img/svgs/Navigation and action/Close.svg");
}

@media only screen and (max-width: 612px) {
	 #po-download.uc-popover ul.steps li {
		width: 100px;
	} 
	
	#po-download.uc-popover .uc-popover-section {
		width: 180px;
	}
}

/*style.css*/

/*2846*/
div.mid_wrapper.application_form form div.row.type_selector{
	height: 39px;
}

/*2856*/
div.mid_wrapper.application_form form div.row.type_selector a{
	height: 46px;
	text-align: left;
}

/*2874*/
div.mid_wrapper.application_form form div.row.type_selector a.active{
	background: #0274bf;
	color:#fff;
}
div.mid_wrapper.application_form form div.row.type_selector a:hover:not(.active){
	color:#a7abae;
}

/*2889*/
div.mid_wrapper.application_form form div.row.currency_filter div.date_selector {
	text-align: right;
	position: inherit;
	top: 13px;
	display: block;
	float: right;
	margin: 0;
}

/*2936*/
div.mid_wrapper.application_form form div.row.currency_filter div.filter_input {
	display: block;
	width: 370px;
	position: inherit;
}

/*3182*/
#currency_results div.table_wrap table td{
	border: none;
	border-right: 1px solid transparent;
}

#currency_results div.table_wrap table td,
#currency_results div.table_wrap table th{
	border-top: none;	
}

/*3201*/
#currency_results table td,
#currency_results table td a,
#currency_results table td a:hover{
  font-size: 14px;
  text-decoration: none;
}


/*3214*/
span.flag{
	border: 1px solid #efefef;
}

span.exchange-rates-icon-U,
span.exchange-rates-icon-D,
span.exchange-rates-icon-N{
	background: url('../../cee2020-pws/img/historical/xchange-sprite.png') center top no-repeat;
	display: inline-block;
	width: 11px; 
	height: 31px;
	/*margin-right: 20px;*/
	/*vertical-align: middle;*/
	/*border: 1px solid #efefef;*/
}

span.exchange-rates-icon-U{
	background-position: 0 -1px;
}
span.exchange-rates-icon-D{
	background-position: 0 -43px;
}
span.exchange-rates-icon-N{
	background-position: 0 -81px;
}

/*css-source/ubis_fixes_and_customisations.css*/

/*1782*/
/* -- Exchange Rates fixes -- */
form#exchange-rates{
    padding-bottom: 0px; 
    border-right: none;
    min-height: 200px;
}

/*1789*/

/*1809*/
form#exchange-rates div#exchange-tabs a {
  border-bottom: solid 1px #CCCCCC;
  border-left: none;
  background-color: white;
  box-sizing: border-box;
}
#currency_results table thead:focus-visible,
form#exchange-rates div#exchange-tabs a:focus-visible span,
form#exchange-rates div#exchange-tabs:has(:focus-visible),
form#exchange-rates div.row.currency_filter .filter_input input:focus-visible,
form#exchange-rates div.row.currency_filter input[type=text]:focus-visible.date,
form#exchange-rates .bar-info-buttons button:focus-visible,
div#currency_results table tbody#currency_list_table tr td:last-child div button:focus-visible,
tbody#dcc_rates_table tr td:last-child div button:focus-visible {
	outline: 2px solid var(--color-button-primary) !important;
	outline-offset: 2px;
	border-radius: 4px;
}

form#exchange-rates div#exchange-tabs a{
	padding-right:5px;
}
form#exchange-rates div#exchange-tabs{
	padding:5px 0;
}

#currency_results table tbody tr:has(:focus-visible),
#currency_results table tbody tr:focus-visible {
	background-color: #E7F8FB;
}

form#exchange-rates div#exchange-tabs a:hover:not(.active) {
    background-color: #fcfcfc;
}

form#exchange-rates div#exchange-tabs div.tab-container a.active{
    background-color: white;
	border-radius: 2px;
	border-bottom: 3px solid #007A91;
}

div#exchange-tabs div.tab-container a span {
	font-size: 18px !important;
	font-weight: 700;
	font-family: Unicredit, Arial, sans-serif;
	height: auto;
	line-height: 1.1em;
	text-align: left;
	width: auto;
	margin: 0px;
}

div#exchange-tabs div.tab-container a.active h1 {
	color: rgb(255, 255, 255);
}

div#exchange-tabs div.tab-container a:not(.active) h1 {
	color: rgb(167, 171, 174);
}

div#exchange-tabs div.tab-container a.active span {
	color: #007A91;
}

div#exchange-tabs div.tab-container a:not(.active) span {
	color: #000000;
}

form#exchange-rates .row.currency_filter.exchange_chart{
	border-bottom: 1px solid #dedede;
}

/*1837*/
form#exchange-rates div.row.currency_filter div.filter_title {
  margin-top: 0px;
  float: left;
}

/*1840*/

form#exchange-rates div.row.currency_filter label,
form#exchange-rates div.row.currency_filter div.filter_title h2{
  font-family: Unicredit, Arial, sans-serif;
  font-weight: normal;
  font-size: 15px;
  color: #666666;
  margin: 0;
  margin-bottom: 7px;
  float: left;
  line-height: 15px;
  height: inherit;
  padding-bottom: 0px;
}


/*1847*/
form#exchange-rates div.row.currency_filter input[type=text] {
  height: 40px;
  border: 1px solid #909090;
  border-radius: 0px;  
  box-sizing: border-box;
  width: 100%;
}

form#exchange-rates div.row.currency_filter input[type=text] {
	height: 40px;
	border: 1px solid #909090;
	border-radius: 0px;
	box-sizing: border-box;
	width: 100%;
}
form#exchange-rates div.row.currency_filter input[type=text]::placeholder {
	color:#666666;
 }

form#exchange-rates div.row.currency_filter .filter_input input[type=text] {
  width: 100%;
  box-sizing: border-box; 
  height: 40px;
}

form#exchange-rates div.row.currency_filter input[type=text].calendar-field {
	width: 90%;
	background: url('../../cee2020-pws/img/historical/calendar-icon.png') no-repeat 90% 50% #FFFFFF;
	cursor: pointer;
}

form#exchange-rates div.row.currency_filter button{
	border: none;
	background-color: transparent;
}

form#exchange-rates .exchange_chart .bar-info{
	margin-bottom: 40px;
}

form#exchange-rates div.row.currency_filter .print {
	background: url('../../cee2020-pws/img/historical/btn_print_white.png') center center no-repeat;
	vertical-align: top;
}

form#exchange-rates div.row.currency_filter .back {
	display: flex;
	color: black;
	text-decoration: none;
	text-transform: none;
	font: inherit;
	line-height: normal;
	margin-right: 20px;
	font-family: Unicredit, Arial, sans-serif;
}

form#exchange-rates div.row.currency_filter .back:focus-visible {
	outline: 2px solid var(--color-button-primary) !important;
	outline-offset: 2px !important;
	border-radius: 4px;
}

form#exchange-rates div.row.currency_filter .back svg{
	margin-left: 10px;
}

form#exchange-rates div.row.currency_filter .back:hover {
	cursor: pointer;
}

/* ====================Table widths: maybe configurable by bank? ======================== */
#currency_results div.table_wrap table td:first-child, 
#currency_results div.table_wrap table th:first-child{
	width: 15%;
	padding-right: 0;
}

#currency_results div.table_wrap table td:nth-child(2),
#currency_results div.table_wrap table th:nth-child(2){
	width: 20%;
}

#currency_results div.table_wrap table td:last-child, 
#currency_results div.table_wrap table th:last-child{
	width: 12%;
}


/* ====================new======================== */
div#currency_results div.result_table_wrapper #currency_list_table td strong{
	margin-right: 0;
	font-size: 15px;
}

form#exchange-rates p.exchange_title,
form#exchange-rates span.exchange_rates_title,
form#exchange-rates p.exchange_currency{
	color: #000000;
	line-height: 22px;
	display: inline-block;
	max-width: 50%;
	overflow: hidden;
	margin: 0;
}

form#exchange-rates span.exchange_rates_title {
	padding-left:20px;
}

form#exchange-rates .exchange-filters{
	height: 100px;
	background-color: white;
	top: 100px;
	border: 1px solid #dedede;
	border-top: none;
}


form#exchange-rates .currency_filter{
	min-height: 100px;
}


form#exchange-rates div#exchange-tabs {
	display: flex;
	align-items: center;
}

form#exchange-rates div.row.currency_filter{
	margin-top: 15px;
	float: none;
	margin-left: 0px;
	margin-right: 0px;
	background-color: white;
	padding-top: 13px;
	padding-bottom: 0;
	box-sizing: border-box;
	position: relative;
}

form#exchange-rates .bar-info {
	float: left;
	width: 100%;
	font-weight: 400;
	font-size: 16px;
	padding-right: 20px;
}


form#exchange-rates .date_selector .input-wrapper{
	float: left;
	margin-left: 15px;
}

form#exchange-rates .input-wrapper.left{
	float: none;
}

/*calendar*/

form#exchange-rates div.date_selector {
  text-align: right;
  position: inherit;
  display: block;
  margin: 0;
  position: absolute;
  width: auto;
}

form#exchange-rates .exchange_chart  div.date_selector{
	margin-top: 40px;
}

form#exchange-rates .calendar-area {
  position: relative;
  width: 150px;
}

form#exchange-rates .bar-info-buttons{
	float: right;
	display: flex;
	align-items: center;
	min-height: 30px;
}

form#exchange-rates .bar-info-buttons button {
	border: none;
	background-color: transparent;
	padding: 0;
	margin-left: 15px;
	cursor: pointer;
}

#currency_results table tr td{	
	position: relative;
}

/* hover*/
#currency_results table tr:hover,
#currency_results table tr.focused{
	background-color: #f9f9f9;
	cursor: pointer;
}

#currency_results table tr:hover td:first-child:before,
#currency_results table tr.focused td:first-child:before,
#currency_results table tr:focus-visible td:first-child:before{
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	height: 40px;
	border-left: 3px solid #333333;
	content: '';
}

#currency_results table th:hover{
	cursor: auto;
}

/* Dropdown */
form#exchange-rates ul li{
	padding: 0 !important;
	margin: 0;
	list-style-type: none;
	background: none;
	line-height: 1em;
	font-size: 14px;

}

form#exchange-rates .dropdown-menu {
	min-width: 120px;
}
.dropdown.custom-dropdown .btn {
	position: relative;
	white-space: normal;
	text-align: left;
	min-height: 40px;
	border-radius: 0;
	border-color: #DEDEDE;
	box-shadow: none;
	padding: 6px 47px 6px 12px;
	width: 100%;
}

.dropdown.custom-dropdown .btn-default:hover,
.dropdown.custom-dropdown .btn-default:focus,
.dropdown.custom-dropdown .btn-default.focus,
.dropdown.custom-dropdown .btn-default:active,
.dropdown.custom-dropdown .btn-default.active,
.dropdown.custom-dropdown.open > .dropdown-toggle.btn-default {
	background-color: #FFFFFF;
}

.dropdown.custom-dropdown .text {
	display: inline-block;
	width: 100%;
	vertical-align: middle;
	white-space: nowrap;
    overflow: hidden;
}

.dropdown.custom-dropdown .caret-wrapper {
	position: absolute;
	border-left: 1px solid #DEDEDE;
	color: #000000;
	width: 35px;
	height: 100%;
	top: 0;
	right: 0;
}

.dropdown.custom-dropdown .caret {
	position: absolute;
	background: url("../../cee2020-pws/img/historical/navigation.png") no-repeat scroll -17px -54px transparent;
	border: none;
	width: 11px;
	height: 6px;
	top: 50%;
	left: 0;
	right: 0;
	margin: -3px auto 0;
}

.dropdown.custom-dropdown .dropdown-menu {
	margin: 0;
	width: 100%;
	text-align: left;
	border-radius: 0;
	border-top: none;
}

.dropdown.custom-dropdown .dropdown-menu .dropdown-header {
	font-size: 14px;
	font-weight: bold;
	color: #333333;
	margin: 5px 0 0;
	padding: 3px 10px;
}

.dropdown.custom-dropdown .dropdown-menu > li > a {
	white-space: normal;
	margin: 3px 10px;
	padding: 0 10px;
	border-left: 3px solid #F5F5F5;
}

.dropdown.custom-dropdown .dropdown-menu > li > a:hover,
.dropdown.custom-dropdown .dropdown-menu > li > a:focus {
	border-color: #333333;
}


/*chart tabs*/
.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus{
	margin-bottom: -1px;
}

.nav-tabs > li > a:focus-visible {
	outline: 2px solid var(--color-button-primary) !important;
	outline-offset: -5px !important;
	border-radius: 8px;
}

form#exchange-rates .nav-tabs>li{
	padding: 0;
	margin-bottom: -1px;
}

form#exchange-rates .nav-tabs>li{	
	width: 33.333333333333%;
}



.nav-tabs > li > a{
	border-radius: 0;
	text-align: center;
}

#currency_chart{
	border: 1px solid #dedede;
	border-top: none;
	/*width: 500px;*/
	padding-left: 12px;
}

form#exchange-rates .tab-content {
    padding-top: 20px;
}

form#exchange-rates ul.nav.nav-tabs {
    display: table;
    padding-right: 20px;	
    width: calc(100% - 340px);
    border-right: none;
    border-left: none;
}

form#exchange-rates ul.nav.nav-tabs:has(:focus-visible) {
	outline: 2px solid var(--color-button-primary) !important;
	outline-offset: 2px !important;
	border-radius: 4px;

}

div#currency_results table tbody#currency_list_table tr td:last-child div,
tbody#dcc_rates_table tr td:last-child div {
	display: flex;
	align-items: center;
	width:100%;
	height:inherit;
}

div#currency_results table tbody#currency_list_table tr td:last-child div button,
tbody#dcc_rates_table tr td:last-child div button {
	background-color: transparent;
	border: none;
	background-image: url("../../cee2020-pws/img/historical/xchange-arrow-right.png");
	background-repeat: no-repeat;
	background-position: center;
	padding: 0;
	margin: 0 0 0 auto;
	width: 22px;
	height: 22px;
}

div#currency_results table tbody#currency_list_table tr:hover td:last-child div button,
div#currency_results table tbody#currency_list_table tr.focused td:last-child div button,
tbody#dcc_rates_table tr.focused td:last-child div button,
tbody#dcc_rates_table tr:hover td:last-child div button,
tbody#dcc_rates_table tr td:last-child div button:focus,
div#currency_results table tbody#currency_list_table tr td:last-child div button:focus {
	background-image: url("../../cee2020-pws/img/historical/xchange-arrow-right-hover.png");
}

#currency_results div.table_wrap{
	box-sizing: border-box;
}

/*paddings*/
#currency_results div.table_wrap table td,
#currency_results div.table_wrap table th,
#exchange_ecb div.table_wrap table th,
#exchange_ecb div.table_wrap table td,
#exchange-rates div#exchange-tabs a,
#exchange-rates .exchange-filters,
form#exchange-rates div.row.currency_filter {
	padding-left: 20px !important;
}

#currency_results div.table_wrap table td,
#exchange-rates div.row.currency_filter,
form#exchange-rates div.row.currency_filter,
#currency_chart{
	padding-right: 20px;
}

form#exchange-rates div.date_selector {
  right: 0px;
}

form#exchange-rates div#exchange-tabs a {
	display: flex;
	align-items: center;
	text-align: left;
}

@media (max-width: 959px){/*@screen-sm*/
	form#exchange-rates ul.nav.nav-tabs {
	    display: table;
	    margin-top: 18px;
	    margin-left: 0;
	    padding-right: 0;
	}

	/*paddings*/
	#currency_results div.table_wrap table td,
	#currency_results div.table_wrap table th,
	#exchange-rates div#exchange-tabs a,
	#exchange-rates .exchange-filters,
	form#exchange-rates div.row.currency_filter {
		padding-left: 10px;
	}

	#currency_results div.table_wrap table td,
	#currency_results div.table_wrap table th
	#exchange-rates div.row.currency_filter,
	form#exchange-rates div.row.currency_filter,
	#currency_chart,
	form#exchange-rates div#exchange-tabs a{
		padding-right: 10px;
	}

	form#exchange-rates div.date_selector {
	  right: 0px;
	}
	
	div#exchange-tabs div.tab-container a h1 {
	    font-size: 16px !important;
	}

	div#exchange-tabs div.tab-container a span {
		font-size: 16px !important;
	}

	#currency_results div.table_wrap{
		width: 100%;
	}
	
	#currency_results div.table_wrap,
	#exchange_ecb div.table_wrap,
	#dcc_rates_results div.table_wrap {
		overflow-x:auto;
	}
}

@media (max-width: 959px){/*@screen-sm*/

	div#exchange-tabs {
		margin:0;
	}

	form#exchange-rates div#exchange-tabs a {
	    padding-top: 8px;
	    padding-bottom: 8px;
	}
		
	div#exchange-tabs div.tab-container a h1 {
	    font-size: 14px !important;
	    line-height: 1.1em;
	}

	div#exchange-tabs div.tab-container a span {
		line-height: 1.1em;
	}

	#currency_results table tr:hover td:first-child:before{
		display: none;
	}
	#currency_results tbody#currency_list_table tr td:last-child div button,
	#dcc_rates_table tr td:last-child div button  {
		display: none;
	}
}

@media (max-width: 480px){/*@screen-xss*/
	#exchange-rates div#exchange-tabs a {
	    padding-top: 9px;
	    padding-bottom: 9px;
	}

	form#exchange-rates div.row.currency_filter{
		padding-left: 0px !important;
	}

	form#exchange-rates span.exchange_rates_title {
		padding-left: 0px;
	}
	
	#exchange-tabs div.tab-container a h1,
	#exchange_ecb div.tab-container a h1 {
	    font-size: 13px !important;
	}
	
		
	#currency_results div.table_wrap table td,
	#currency_results div.table_wrap table th,
	#exchange_ecb div.table_wrap table td,
	#exchange_ecb div.table_wrap table th,
	#exchange-rates div#exchange-tabs a,
	#exchange-rates .exchange-filters,
	#exchange-rates div.row.currency_filter {
		padding-left: 10px !important;
	}
}

@media (max-width: 420px){
	#exchange-rates ul.nav.nav-tabs {
	    display: table;
	}

	form#exchange-rates div.row.currency_filter.exchange_chart .back,
	form#exchange-rates div.row.currency_filter.exchange_chart p.exchange_currency {
		font-size: 12px;
		font-family: UniCredit;
	}

	form#exchange-rates .exchange_chart .bar-info{
		margin-bottom: 20px;
	}

	form#exchange-rates .exchange_chart  div.date_selector{
		margin-top: 0px;
	}

	form#exchange-rates div.row.currency_filter.exchange_chart p.exchange_currency {
		margin-top: 2px;
	}

	form#exchange-rates div.row.currency_filter.exchange_chart .back svg {
		width: 14px;
		height: 14px;
	}


	/*paddings*/
	#currency_results div.table_wrap table td,
	#currency_results div.table_wrap table th,
	#exchange_ecb div.table_wrap table td,
	#exchange_ecb div.table_wrap table th,
	#exchange-rates div#exchange-tabs a,
	#exchange-rates .exchange-filters,
	#exchange-rates div.row.currency_filter {
		padding-left: 8px;
	}

	#currency_results div.table_wrap table td,
	#currency_results div.table_wrap table th,
	#exchange_ecb div.table_wrap table td,
	#exchange_ecb div.table_wrap table th,
	#exchange-rates div.row.currency_filter,
	#exchange-rates div.row.currency_filter,
	#currency_chart,
	#exchange-rates div#exchange-tabs a{
		padding-right: 8px;
	}

	form#exchange-rates div.date_selector {
	  right: 8px;
	}
	form#exchange-rates div#exchange-tabs a {
	    padding-top: 10px;
	    padding-bottom: 10px;
	}
		
	div#exchange-tabs div.tab-container a h1 {
	    font-size: 12px !important;
	}

	div#exchange-tabs div.tab-container a span {
		font-size: 12px !important;
	}

	form#exchange-rates p.exchange_title{
		display: none;
	}
}

@media (max-width: 360px){
	form#exchange-rates div#exchange-tabs a {
	    padding-top: 7px;
	    padding-bottom: 7px;
	}
	
	div#exchange-tabs div.tab-container a h1 {
	    font-size: 11px !important;
	}

	div#exchange-tabs div.tab-container a span {
		font-size: 11px !important;
	}
}

@media (max-width: 959px){/*@screen-sm*/
	div.mid_wrapper.application_form form div.row.currency_filter div.filter_input{    
    	width: calc(100% - 140px);
    }     
}


@media (max-width: 959px){/*@screen-sm*/
	form#exchange-rates .exchange_chart div.date_selector{
		width:100%;
		position: static;
		margin-bottom: 15px;
	}

	form#exchange-rates .exchange_chart ul.nav.nav-tabs{
		width: 100%;
	}

	form#exchange-rates .exchange_chart .date_selector .input-wrapper{
	    width: 50%;
	    box-sizing: border-box;
	    margin: 0;
	}

	form#exchange-rates .exchange_chart .date_selector .input-wrapper:first-child{
		padding-right: 7px;
	}

	form#exchange-rates .exchange_chart .date_selector .input-wrapper:last-child{
		padding-left: 7px;
	}

	form#exchange-rates .exchange_chart .calendar-area{
		width: 100%;
	}
}

#error-no-indicators-found {
	padding: 20px 0px 30px 0px;
}

.c3 svg{font:10px sans-serif}.c3 line,.c3 path{fill:none;stroke:#000}.c3 text{-webkit-user-select:none;-moz-user-select:none;user-select:none}.c3-bars path,.c3-event-rect,.c3-legend-item-tile,.c3-xgrid-focus,.c3-ygrid{shape-rendering:crispEdges}.c3-chart-arc path{stroke:#fff}.c3-chart-arc text{fill:#fff;font-size:13px}.c3-grid line{stroke:#aaa}.c3-grid text{fill:#aaa}.c3-xgrid,.c3-ygrid{stroke-dasharray:3 3}.c3-text.c3-empty{fill:gray;font-size:2em}.c3-line{stroke-width:1px}.c3-circle._expanded_{stroke-width:1px;stroke:#fff}.c3-selected-circle{fill:#fff;stroke-width:2px}.c3-bar{stroke-width:0}.c3-bar._expanded_{fill-opacity:.75}.c3-target.c3-focused{opacity:1}.c3-target.c3-focused path.c3-line,.c3-target.c3-focused path.c3-step{stroke-width:2px}.c3-target.c3-defocused{opacity:.3!important}.c3-region{fill:#4682b4;fill-opacity:.1}.c3-brush .extent{fill-opacity:.1}.c3-legend-item{font-size:12px}.c3-legend-item-hidden{opacity:.15}.c3-legend-background{opacity:.75;fill:#fff;stroke:#d3d3d3;stroke-width:1}.c3-tooltip-container{z-index:10}.c3-tooltip{border-collapse:collapse;border-spacing:0;background-color:#fff;empty-cells:show;-webkit-box-shadow:7px 7px 12px -9px #777;-moz-box-shadow:7px 7px 12px -9px #777;box-shadow:7px 7px 12px -9px #777;opacity:.9}.c3-tooltip tr{border:1px solid #CCC}.c3-tooltip th{background-color:#aaa;font-size:14px;padding:2px 5px;text-align:left;color:#FFF}.c3-tooltip td{font-size:13px;padding:3px 6px;background-color:#fff;border-left:1px dotted #999}.c3-tooltip td>span{display:inline-block;width:10px;height:10px;margin-right:6px}.c3-tooltip td.value{text-align:right}.c3-area{stroke-width:0;opacity:.2}.c3-chart-arcs-title{dominant-baseline:middle;font-size:1.3em}.c3-chart-arcs .c3-chart-arcs-background{fill:#e0e0e0;stroke:none}.c3-chart-arcs .c3-chart-arcs-gauge-unit{fill:#000;font-size:16px}.c3-chart-arcs .c3-chart-arcs-gauge-max,.c3-chart-arcs .c3-chart-arcs-gauge-min{fill:#777}.c3-chart-arc .c3-gauge-value{fill:#000}
text{
	font-family: Arial, sans;
}

.c3 path, .tick line{
	stroke:none;
}

.c3-ygrid{
}

.c3-grid line {
	stroke-dasharray:2;
	stroke: black;
	opacity: 0.15;
}

svg g.c3-grid g.c3-xgrids .c3-xgrid {
	stroke-dasharray: 5;
	stroke: rgba(0,0,0,0.35);
}

path.c3-shape.c3-shape.c3-area.c3-area-data1 {
    opacity: 0.3 !important;
	fill:#007A91 !important;
}

.tick text{
	fill:black;
	font-size: 12px;
}

.c3-area{
	opacity: 0.4;
	/*stroke: #ffffff !important;*/
	/*stroke-width: 4px !important;*/
}

.c3-line{			
	opacity: 1 !important;
	stroke-width: 3px;
	stroke:#007A91 !important;
}

.c3-shapes-data1 .c3-circle{
	stroke-width: 3px;
	stroke:#007A91;
	fill:#ffffff !important;
}


.c3-xgrid{
	opacity: 1;			
	stroke-width: 1px;
	stroke: #ff0000;
}
.c3_tooltip{
	padding: 3px;
	/*border: 1px solid #0274bf;*/
	/*background-color: white;*/
}

.c3_tooltip_title{
	font-family: Arial, sans-serif;
	font-size: 12px;
	text-align: center;
	background-color: #ebebeb;
	color: #007A91;
	padding: 5px 10px;
}


.c3_tooltip_value{
	font-family: Arial, sans-serif;
	font-size: 14px;
	background-color: #007A91;
	padding: 2px 10px;
	color: white;
	font-weight: bold;
	text-align: center;
}

/*xrates-large-period*/
.xrates-large-period .c3-line{	
	stroke-width: 2px;
}

@media (max-width: 599px){/*@screen-xs*/
	.c3-line{
		stroke-width: 2px;
	}

	.xrates-large-period .c3-line{	
		stroke-width: 1;
	}

	.c3-shapes-data1 .c3-circle{
		stroke-width: 2px;
		stroke:#007A91;
		fill:#ffffff !important;
	}    
}


@media print{
	div#exchange-tabs{		
		height: auto;
	}

	div#exchange-tabs a{
		padding: inherit;
		line-height: 45px;
	}

	form#exchange-rates {
		height: auto;
		min-height: auto;
		margin-top: 20px;		
	}

	div#exchange-tabs div.tab-container a{
		border: 1px solid #dedede !important;
		color: #ccc !important;
	}

	div#exchange-tabs div.tab-container a.active{
		border-bottom: none !important;
		color: black !important;
		font-family: Arial, sans-serif;
		font-weight: bold;
	}

	.result_table_wrapper .table_wrap > table > thead > tr > th {
		border-bottom: 1px solid #dedede !important;
		font-family: Arial, sans-serif;
		font-weight: bold;
	}

	form#exchange-rates .bar-info{
		visibility: hidden;
		margin-top: -97px;
	}
	
	div#exchange-tabs {
	    height: auto !important;
	}
	
	form#exchange-rates p.exchange_title, 
	form#exchange-rates p.exchange_rates_title, 
	form#exchange-rates p.exchange_currency{
		visibility: visible;
	}

	tbody#currency_list_table span.flag{
		/* background: initial !important; */
		-webkit-print-color-adjust: exact;
		-moz-print-color-adjust: exact;
		print-color-adjust: exact;
	}
	
	tbody#currency_list_table>tr>td:last-child {
	    text-align: center;
	}
		
	form#exchange-rates div.row.currency_filter div.filter_title{
    	width: calc(100% - 180px);
    }
    
    form#exchange-rates ul.nav.nav-tabs li{
    	border-bottom: 1px solid #dedede;
    }
	
	form#exchange-rates ul.nav.nav-tabs li.active{
    	border-bottom: none;
    }

    form#exchange-rates ul.nav.nav-tabs{
    	border-bottom: none;
    }

    form#exchange-rates ul.nav.nav-tabs > li > a{
    	margin-right: 0;
    	text-decoration: none;
    	text-transform: uppercase;
    }

    form#exchange-rates ul.nav.nav-tabs > li.active > a{
    	font-family: Arial, sans-serif;
    	font-weight: bold;
    }

    g.c3-shapes.c3-shapes-data1.c3-areas.c3-areas-data1 {
		display: none;
	}
}
@media print and (max-width: 210mm){
	#currency_results .result_table_wrapper table thead th:last-child,
	#currency_results .result_table_wrapper table tbody td:last-child{
	    display: none;
	}
}
